io.output( io.stderr )
module( ..., package.seeall )

local ut = require( 'udunits2' )
local uts = require( 'udunits2.system' )
local utu = require( 'udunits2.unit' )

setup = _G.setup
read_xml = _G.read_xml

function test_same_system( )

   local system = assert( uts.new() )

   local unit1 = assert( system:new_base_unit() )
   local unit2 = assert( system:new_base_unit() )

   assert_true( utu.same_system( unit1, unit2 ) )

end

function test_compare( )

   local system = assert( uts.new() )

   local unit1 = assert( system:new_base_unit() )

   assert_true( unit1:map_name_to_unit( 'foo', ut.ASCII ), 'map name' )

   local unit2 = system:parse( "20 foo" )

   assert_true( utu.compare( unit1, unit2 ) < 1, '20 > 1' )

end

